Bug 163924 - [PATCH] archivers/xarchiver, warning when delete desktop application
Summary: [PATCH] archivers/xarchiver, warning when delete desktop application
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-08 16:50 UTC by Olivier Duchateau
Modified: 2012-07-17 22:09 UTC (History)
0 users

See Also:


Attachments
file.diff (1.41 KB, patch)
2012-01-08 16:50 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2012-01-08 16:50:10 UTC
When I delete desktop application (i.e. Thunar), update-desktop-database complains, because "multipart/..." in .desktop file is obsolete.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-01-08 16:50:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-01-08 16:50:27 UTC
Maintainer of archivers/xarchiver,

Please note that PR ports/163924 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163924

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-01-08 16:50:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Martin Wilke freebsd_committer 2012-05-29 09:45:07 UTC
Responsible Changed
From-To: miwi->olivierd

submitter have now commit access.
Comment 5 dfilter service freebsd_committer 2012-07-17 21:40:48 UTC
Author: olivierd
Date: Tue Jul 17 20:40:36 2012
New Revision: 301036
URL: http://svn.freebsd.org/changeset/ports/301036

Log:
  - Avoid warning of update-desktop-database command, when we delete
  application (.desktop file).
  - Convert to new options framework
  
  PR:	163924
  Approved by:	miwi, rene (mentors), maintainer timeout (6 months)

Modified:
  head/archivers/xarchiver/Makefile
  head/archivers/xarchiver/pkg-plist

Modified: head/archivers/xarchiver/Makefile
==============================================================================
--- head/archivers/xarchiver/Makefile	Tue Jul 17 20:38:19 2012	(r301035)
+++ head/archivers/xarchiver/Makefile	Tue Jul 17 20:40:36 2012	(r301036)
@@ -7,7 +7,7 @@
 
 PORTNAME=	xarchiver
 PORTVERSION=	0.5.2
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	archivers
 MASTER_SITES=	SF
 
@@ -18,13 +18,13 @@ RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
-USE_GNOME=	glib20 gtk20 intltool pkgconfig
+USE_GNOME=	glib20 gtk20 intltool pkgconfig desktopfileutils
 GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if !defined(WITHOUT_NLS)
+.if !empty(PORT_OPTIONS:MNLS)
 USE_GETTEXT=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
@@ -34,11 +34,16 @@ PLIST_SUB+=	NLS="@comment "
 .endif
 
 post-patch:
+	@${REINPLACE_CMD} -e 's|;multipart/x-zip||' \
+		${WRKSRC}/xarchiver.desktop.in
 .if defined(NOPORTDOCS)
-	${REINPLACE_CMD} -e 's|doc||g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|doc||g' ${WRKSRC}/Makefile.in
 .endif
-.if defined(WITHOUT_NLS)
-	${REINPLACE_CMD} -e 's| po | |g' ${WRKSRC}/Makefile.in
+.if empty(PORT_OPTIONS:MNLS)
+	@${REINPLACE_CMD} -e 's| po | |g' ${WRKSRC}/Makefile.in
 .endif
 
-.include <bsd.port.post.mk>
+post-install:
+	@-update-desktop-database
+
+.include <bsd.port.mk>

Modified: head/archivers/xarchiver/pkg-plist
==============================================================================
--- head/archivers/xarchiver/pkg-plist	Tue Jul 17 20:38:19 2012	(r301035)
+++ head/archivers/xarchiver/pkg-plist	Tue Jul 17 20:40:36 2012	(r301036)
@@ -39,10 +39,10 @@ share/applications/xarchiver.desktop
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog.png
 %%PORTDOCS%%%%DOCSDIR%%/html/index.html
 %%PORTDOCS%%%%DOCSDIR%%/html/xarchiver.css
-%%NLS%%share/icons/hicolor/16x16/apps/xarchiver.png
-%%NLS%%share/icons/hicolor/24x24/apps/xarchiver.png
-%%NLS%%share/icons/hicolor/48x48/apps/xarchiver.png
-%%NLS%%share/icons/hicolor/scalable/apps/xarchiver.svg
+share/icons/hicolor/16x16/apps/xarchiver.png
+share/icons/hicolor/24x24/apps/xarchiver.png
+share/icons/hicolor/48x48/apps/xarchiver.png
+share/icons/hicolor/scalable/apps/xarchiver.svg
 %%NLS%%share/locale/bg/LC_MESSAGES/xarchiver.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/xarchiver.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/xarchiver.mo
@@ -73,12 +73,9 @@ share/pixmaps/xarchiver/xarchiver-html.p
 %%NLS%%@dirrm share/locale/nb_NO/LC_MESSAGES
 %%NLS%%@dirrm share/locale/nb_NO
 @dirrm share/pixmaps/xarchiver
-@dirrmtry share/icons/hicolor/scalable/apps
-@dirrmtry share/pixmaps/hicolor/48x48/apps
-@dirrmtry share/pixmaps/hicolor/24x24/apps
-@dirrmtry share/pixmaps/hicolor/16x16/apps
 @dirrmtry libexec/thunar-archive-plugin
-@dirrmtry share/applications
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Olivier Duchateau freebsd_committer 2012-07-17 22:09:25 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!